man(1)

NUME
man - formatează şi afişează paginile de manual
manpath - determină calea de căutare a utilizatorului pentru paginile de manual

SUMAR
man [-acdfFhkKtwW] [--path] [-m sistem] [-p şir] [-C fişier_configurare] [-M listă_căi] [-P paginator] [-S listă_secţiuni] [secţiune] nume ...

DESCRIERE
man formatează şi afişează paginile de manual. Dacă specificaţi secţiune, man caută doar în acea secţiune a manualului. nume este în mod normal numele paginii de manual, care este de obicei numele unei comenzi, funcţii, sau fişier. Totuşi, dacă nume conţine un slash (/) atunci man îl interpretează ca o specificare de fişier, astfel încât puteţi executa man ./foo.5 sau chiar man /cd/foo/bar.1.gz.

Vedeţi mai jos pentru o descriere a locurilor unde caută man fişierele cu paginile de manual.

OPŢIUNI

-C  fiişier_configurare
    Specifică fişierul de configurare care se va folosi; inplicit este /etc/man.config. (Vezi man.config(5).)

-M  cale
    Specifică lista de directoare unde se caută paginile man. Separaţi directoarele cu două puncte (:). O listă goală este echivalent cu a nu specifica -M de loc. Vezi şi CALEA DE CĂUTARE A PAGINILOR MAN.

-P  paginator
    Specifică ce paginator de va folosi. Această opţiune ignoră variabila de mediu MANPAGER , care în schimb ignoră variabila PAGER. Implicit, man foloseşte /usr/bin/less-is.

-S  listă_secţiuni
    Lista este un şir de secţiuni de manual care vor fi căutate, despărţite prin două puncte (:). Această opţiune ignoră variabila de mediu MANSECT.

-a  Implicit, executia man se va termina după afişarea primei pagini de manual pe care o găseşte. Folosirea acestei opţiuni forţează man să afişeze toate paginila de manual care verifică nume, nu doar prima.

-c  Reformatează pagina man sursă, chiar dacă există o pagină cat actualizată. Acest lucru poate fi important dacă pagina cat a fost formatată pentru un ecran cu un număr diferit de coloane, sau dacă pagina preformatată este alterată.

-d  Nu afişează efectiv paginile man, ci tipăreşte multe informaţii de depanare.

-D  Afişează atât paginile man, cât şi informaţii de depanare.

-f  Echivalent cu whatis.

-F sau --preformat
    Doar formatează - nu afişează.

-h  Tipăreşte un mesaj de ajutor şi termină execuţia.

-k  Echivalent cu apropos.

-K  Caută şirul de caractere specificat în *toate* paginile man. Avertisment: aceasta este probabil o operaţie foarte lentă! Ajută specificarea unei secţiuni. (Pentru a da o idee generală, pe maşina mea aceasta durează aproape un minut pentru 500 pagini man.)

-m  sistem
    Specifică un set alternativ de pagini man de căutat, bazat pe numele de sistem dat.

-p  şir
    Specifică secvenţa de preprocesoare ce vor fi rulate înainte de nroff sau troff. Nu toate instalările vor avea un set complet de preprocesoare. Unele din preprocesoare şi literele folosite pentru a le desemna sunt: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Această opţiune duce la ignorarea variabilei de mediu MANROFFSEQ.

-t  Foloseşte /usr/bin/groff -Tps -mandoc pentru a formata pegina man, trimiţând rezultatul la ieşirea standard (stdout). Rezultatul comenzii /usr/bin/groff -Tps -mandoc ar putea necesita să fie trecut printr-un filtru înante de a fi tipărit.

-w sau --path
    Nu afişează efectiv paginile man, ci tipăreşte locaţia(ile) fişierelor care ar fi formatate sau afişate. Dacă nici un argument nu este dat: afişează (la ieşirea standard (stdout)) lista directoarelor în care sunt căutate de man paginile man. Dacă manpath este o legătură la man, atunci "manpath" este echivalent cu "man --path".

-W  Ca -w, dar afişează numele de fişiere unul pe linie, fără informaţii adiţionale. Această opţiune este utilă în comenzi shell ca man -aW man | xargs ls -l

PAGINILE CAT
Man va încerca să salveze paginile man formatate, pentru a reduce timpul de formatare data viitoare când aceste pagini sunt necesare. Tradiţional, versiunile formatate ale paginilor din DIR/manX sunt salvate în DIR/catX, dar alte mapări de la directorul man la directorul cat pot fi specificate în /etc/man.config. Nici o pagină cat nu este salvată dacă directorul cat necesar nu există.

Este posibil să faceţi man suid la un utilizator man. Atunci, dacă un director cat are proprietar man şi modul 0755 (scriere doar de către man), şi fişierele cat au proprietarul man şi modul 0644 sau 0444 (scriere doar de către man, sau nici o permisiune de scriere), nici un utilizator normal nu poate modifica paginile cat sau să pună alte fişiere în directorul cat. Dacă man nu este făcut suid, atunci un director cat ar trebui să aibă modul 0777 dacă toţi utilizatorii trebuie să poată lăsa pagini cat acolo.

Opţiunea -c forţează reformatarea unei pagini, chiar dacă există o pagină cat recentă.

CALEA DE CĂUTARE A PAGINILOR MAN
man foloseşte o metodă sofisticată pentru a găsi paginile de manual, bazată pe opţiuni de apelare şi variabile de mediu, fişierul de configurare /etc/man.config şi anumite convenţii şi euristici.

Înainte de toate, când argumentul nume al man conţine un slash (/), man consideră că este un specificator de fişier şi nu se efectuează nici o căutare.

Dar în cazul normal în care nume nu conţine un slash, man caută în o mulţime de directoare un fişier care a putea fi o pagină de manual pentru subiectul numit.

Dacă specificaţi opţiunea -M listă_căi, listă_căi este o listă de directoare despărţite prin două puncte (:) în care caută man.

Dacă nu specificaţi -M dar setaţi variabila de mediu MANPATH, valoarea acestei variabile este lista de directoare în care caută man.

Dacă nu specificaţi explicit o listă de căi cu -M sau MANPATH, man îşi creează propria listă de căi bazată pe conţinutul fişierului de configurare /etc/man.config. Declaraţiile MANPATH din fişierul de configurare definesc anumite directoare care să fie incluse în calea de căutare.

Mai mult, declaraţiile MANPATH_MAP se adaugă la calea de căutare depinzând de calea de căutare a comenzilor (de ex. variabila de mediu PATH). Pentru fiecare director care este în calea de căutare a comenzilor, o declaraţie MANPATH_MAP specifică un director care trebuie că fie adăugat la calea de căutare a fişierelor cu paginile de manual. man analizează variabila PATH şi adaugă directoarele corespunzătoare la calea de căutare a fişierelor cu paginile de manual. Astfel, prin folosirea corectă a MANPATH_MAP, când executaţi comanda man xyz, obţineţi o pagină de manual pentru programul care ar rula dacă aţi executa comanda xyz.

În plus, pentru fiecare director în calea de căutare a comenzilor (o vom denumi "director de comenzi") pentru care nu aveţi o declaraţie MANPATH_MAP, man caută în mod automat un director cu pagini de manual "învecinat", respectiv ca un subdirector al directorului de comenzi sau în directorul părinte al directorului de comenzi.

Puteţi dezactiva căutarea "învecinată" automată incluzând o declaraţie NOAUTOPATH în /etc/man.config.

În fiecare director din calea de căutare descris mai sus, man caută un fişier numit topic.section, cu un sufix opţional la numărul secţiunii şi posibil un sufix de compresie. Dacă nu găseşte un astfel de fişier, caută în orice subdirectoare numite manN sau catN unde N este numărul secţiunii de manual. Dacă fişierul este într-ul subdirector catN, man consideră că este o pagină de manual formatată (pagină cat). Altfel, man consideră că este neformatată. În oricare caz, dacă numele fişierului are un sufix cunoscut de compresie (ca .gz), man consideră că este comprimat cu gzip.

Dacă doriţie să vedeţi unde (sau dacă) man ar găsi pagina de manual pentru un anumit subiect, folosiţi opţiunea --path (-w).

VARIABILE DE MEDIU

MANPATH
    Dacă MANPATH este setată, man o foloseşte drept cale de căutare a fişierelor cu paginile de manual. Ignoră fişierul de configurare şi calea de căutare automată, dar este ignorată de opţiunea de apelare -M. Vezi şi CALEA DE CĂUTARE A PAGINILOR MAN.

MANPL
    Dacă MANPL este setată, valoarea ei este folosită ca lungimea paginii afişate. Altfel, întreaga pagină man va ocupa o singură pagină (lungă).

MANROFFSEQ
    Dacă MANROFFSEQ este setată, valoarea ei este folosită pentru determinarea setului de preprocesoare rulate înainte de a rula nroff sau troff. Implicit, paginile sunt trecute prin preprocesorul tbl înainte de nroff.

MANSECT
    Dacă MANSECT este setată, valoare ei este folosită pentru a determina în ce secţiune de manual să se caute.

MANWIDTH
    Dacă MANWIDTH este setată, valoare ei este folosită ca lăţimea pe care paginile de manual ar trebui să fie afişate. Altfel paginile ar putea fi afişate peste lăţimea ecranului.

MANPAGER
    Dacă MANPAGER este setată, valoarea ei este folosită ca numele programului ce va fi folosit pentru a afişa pagina man. Dacă nu, atunci PAGER este folosită. Dacă nici aceasta nu are o valoare, /usr/bin/less -is este folosit.

LANG
    Dacă LANG este setată, valoarea ei defineşte numele subdirectorului unde man caută prima dată paginile man. Astfel, comanda `LANG=dk man 1 foo' va determina man să caute pagina man foo în .../dk/man1/foo.1 şi dacă nu poate găsi un astfel de fişier, în .../man1/foo.1, unde ... este un director în calea de căutare.

NLSPATH, LC_MESSAGES, LANG
    Variabilele de mediu NLSPATH şi LC_MESSAGES (sau LANG când ultima nu există) joacă un rol în localizarea catalogului de mesaje. (Dar mesajele în engleză sunt incluse la compilare şi pentru engleză nu este necesar nici un catalog.) Notaţi că programe apelate de man ca col(1) folosesc şi ele de ex. LC_CTYPE.

PATH
    PATH ajută la determinarea căii de căutare a fişierelor cu paginile de manual. Vezi şi CALEA DE CĂUTARE A PAGINILOR MAN.

SYSTEM
    SYSTEM este folosită pentru a obţine numele implicit al sistemului alternativ (pentru a fi utilizat cu opţiunea -m).

VEZI ŞI
apropos(1), whatis(1), less(1), groff(1), man.conf(5).

ERORI
Opţiunea -t funcţionează doar dacă un program gen troff este instalat.
Dacă vedeţi \255 sau <AD> clipind în loc de liniuţe, setaţi `LESSCHARSET=latin1' în mediu.

SFATURI
Dacă adăugaţi linia
  (global-set-key [(f1)] (lambda () (interactive) (manual-entry (current-word)))) în fişierul dumneavoastră .emacs, apăsând F1 veţi obţine pagina man pentru apelul de librărie la poziţia curentă a cursorului.

Pentru a obţine o versiune doar text a paginii man, fără backspace şi liniuţe de subliniere (underscore), încercaţi
  # man foo | col -b > foo.mantxt